libsigc++ 2.6.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes | List of all members
sigc::const_mem_functor1< T_return, T_obj, T_arg1 > Class Template Reference
Functors » mem_fun()

const_mem_functor1 wraps const methods with 1 argument(s). More...

`#include <sigc++/functors/mem_fun.h>`

Inheritance diagram for sigc::const_mem_functor1< T_return, T_obj, T_arg1 >:
[legend]

## Public Types
typedef T_return(T_obj::* | function_type) (T_arg1) const
typedef T_return | result_type

## Public Member Functions
| const_mem_functor1 ()
| Constructs an invalid functor. More...
| const_mem_functor1 (function_type _A_func)
| Constructs a const_mem_functor1 object that wraps the passed method. More...
T_return | operator() (const T_obj* _A_obj, type_trait_take_t< T_arg1 > _A_a1) const
| Execute the wrapped method operating on the passed instance. More...
T_return | operator() (const T_obj& _A_obj, type_trait_take_t< T_arg1 > _A_a1) const
| Execute the wrapped method operating on the passed instance. More...

## Protected Attributes
function_type | func_ptr_

## Detailed Description

### template<class T_return, class T_obj, class T_arg1>
class sigc::const_mem_functor1< T_return, T_obj, T_arg1 >

const_mem_functor1 wraps const methods with 1 argument(s).

Use the convenience function mem_fun() to create an instance of const_mem_functor1.

The following template arguments are used:

- T_arg1 Argument type used in the definition of operator()().
- T_return The return type of operator()().
- T_obj The object type.

## Member Typedef Documentation

template <class T_return , class T_obj , class T_arg1 >

typedef T_return(T_obj::* sigc::const_mem_functor1< T_return, T_obj, T_arg1 >::function_type) (T_arg1) const

template <class T_return , class T_obj , class T_arg1 >

typedef T_return sigc::const_mem_functor1< T_return, T_obj, T_arg1 >::result_type

## Constructor & Destructor Documentation

template <class T_return , class T_obj , class T_arg1 >

sigc::const_mem_functor1< T_return, T_obj, T_arg1 >::const_mem_functor1 | ( |  | ) |
| inline

Constructs an invalid functor.

template <class T_return , class T_obj , class T_arg1 >

sigc::const_mem_functor1< T_return, T_obj, T_arg1 >::const_mem_functor1 | ( | function_type | _A_func | ) |
| inline explicit

Constructs a const_mem_functor1 object that wraps the passed method.

Parameters

  _A_func | Pointer to method will be invoked from operator()().

## Member Function Documentation

template <class T_return , class T_obj , class T_arg1 >

T_return sigc::const_mem_functor1< T_return, T_obj, T_arg1 >::operator() | ( | const T_obj * | _A_obj,
|  | type_trait_take_t< T_arg1 > | _A_a1
| ) |  | const
| inline

Execute the wrapped method operating on the passed instance.

Parameters

  _A_obj | Pointer to instance the method should operate on.
  _A_a1 | Argument to be passed on to the method.

Returns
  The return value of the method invocation.

template <class T_return , class T_obj , class T_arg1 >

T_return sigc::const_mem_functor1< T_return, T_obj, T_arg1 >::operator() | ( | const T_obj & | _A_obj,
|  | type_trait_take_t< T_arg1 > | _A_a1
| ) |  | const
| inline

Execute the wrapped method operating on the passed instance.

Parameters

  _A_obj | Reference to instance the method should operate on.
  _A_a1 | Argument to be passed on to the method.

Returns
  The return value of the method invocation.

## Member Data Documentation

template <class T_return , class T_obj , class T_arg1 >

function_type sigc::const_mem_functor1< T_return, T_obj, T_arg1 >::func_ptr_
| protected